package com.heyu.api.data.entity.vv;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*所有数据表
* @author quyixiao
* @since 2025-10-20
*/

@Data
@TableName("vv_create_data_config")
public class VvCreateDataConfigEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.vv.VvCreateDataConfigEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                         // 
    public final static String is_delete = CLASS_NAME + "is_delete";            // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";        // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";        // 修改时间
    public final static String sql_config = CLASS_NAME + "sql_config";          // sql配置
    public final static String params_config = CLASS_NAME + "params_config";    // 参数配置
    public final static String insert_table = CLASS_NAME + "insert_table";      // 插入的表名
    public final static String cron_exp = CLASS_NAME + "cron_exp";              // 执行时间
    //
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //sql配置
    private String sqlConfig;
    //参数配置
    private String paramsConfig;
    //插入的表名
    private String insertTable;
    //执行时间
    private String cronExp;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * sql配置 
     * @return
     */
    public String getSqlConfig() {
        return sqlConfig;
    }
    /**
     * sql配置 
     * @param sqlConfig
     */
    public void setSqlConfig(String sqlConfig) {
        this.sqlConfig = sqlConfig;
    }

    /**
     * 参数配置 
     * @return
     */
    public String getParamsConfig() {
        return paramsConfig;
    }
    /**
     * 参数配置 
     * @param paramsConfig
     */
    public void setParamsConfig(String paramsConfig) {
        this.paramsConfig = paramsConfig;
    }

    /**
     * 插入的表名 
     * @return
     */
    public String getInsertTable() {
        return insertTable;
    }
    /**
     * 插入的表名 
     * @param insertTable
     */
    public void setInsertTable(String insertTable) {
        this.insertTable = insertTable;
    }

    /**
     * 执行时间 
     * @return
     */
    public String getCronExp() {
        return cronExp;
    }
    /**
     * 执行时间 
     * @param cronExp
     */
    public void setCronExp(String cronExp) {
        this.cronExp = cronExp;
    }

    @Override
    public String toString() {
        return "VvCreateDataConfigEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",sqlConfig=" + sqlConfig +
                ",paramsConfig=" + paramsConfig +
                ",insertTable=" + insertTable +
                ",cronExp=" + cronExp +
                "}";
    }
}